curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/periods/{id}/reopen' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"closed_at": null,
"closed_by": null,
"created_at": "string",
"end_date": "string",
"fiscal_year": 1,
"id": "string",
"locked_at": null,
"locked_by": null,
"period_name": "string",
"period_number": 1,
"start_date": "string",
"status": "string"
}
Reopen a period
Reopen a period
POST
/
api
/
v1
/
gl
/
periods
/
{id}
/
reopen
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/periods/{id}/reopen' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"closed_at": null,
"closed_by": null,
"created_at": "string",
"end_date": "string",
"fiscal_year": 1,
"id": "string",
"locked_at": null,
"locked_by": null,
"period_name": "string",
"period_number": 1,
"start_date": "string",
"status": "string"
}
Path parameters
string
required
GL period ID
Responses
GlPeriodResponse
ErrorBody
curl --request POST \
--url 'https://api.stateset.com/api/v1/gl/periods/{id}/reopen' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"closed_at": null,
"closed_by": null,
"created_at": "string",
"end_date": "string",
"fiscal_year": 1,
"id": "string",
"locked_at": null,
"locked_by": null,
"period_name": "string",
"period_number": 1,
"start_date": "string",
"status": "string"
}
⌘I